will this program work with snow leopard ?

  • Asked by Avery M from Oakland
  • Feb 20, 2012
VMware Fusion 4

VMware Fusion 4

Product No Longer Available

1 Answer from the Community

  • Answer

    VMware Fusion 4 is also compatible with Mac OS X 10.6.7 (Snow Leopard).

    • Answered by Robert E from Allentown
    • Mar 7, 2012